Package org.gradle.api.plugins

## Class WarPluginConvention

- java.lang.Object
- - org.gradle.api.plugins.WarPluginConvention

-     @Deprecated
      public abstract class WarPluginConvention
      extends java.lang.Object

  Deprecated.
  Please configure the tasks directly. This class is scheduled for removal in Gradle 8.0.

  A `Convention` used for the WarPlugin.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WarPluginConvention()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Project` | `getProject()` | Deprecated.
    `abstract java.io.File` | `getWebAppDir()` | Deprecated. Returns the web application directory.
    `abstract java.lang.String` | `getWebAppDirName()` | Deprecated. The name of the web application directory, relative to the project directory.
    `abstract void` | `setWebAppDirName​(java.lang.String webAppDirName)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WarPluginConvention

          public WarPluginConvention()

      Deprecated.

  - ### Method Detail

    - #### getWebAppDir

          public abstract java.io.File getWebAppDir()

      Deprecated.
      Returns the web application directory.

    - #### getWebAppDirName

          public abstract java.lang.String getWebAppDirName()

      Deprecated.
      The name of the web application directory, relative to the project directory.

    - #### setWebAppDirName

          public abstract void setWebAppDirName​(java.lang.String webAppDirName)

      Deprecated.

    - #### getProject

          public abstract Project getProject()

      Deprecated.